<?php
/**
 * clearex functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package clearex
 */

/**
 * Require all theme functions.
 */
require_once get_template_directory() . '/inc/modules/admin/theme-functions.php';
/**
 * Require all theme sidebar.
 */
require_once get_template_directory() . '/inc/modules/admin/theme-sidebar.php';
/**
 * Require all theme assets.
 */
require_once get_template_directory() . '/inc/modules/admin/theme-assets.php';
/**
 * Implement the Custom css mod form customizer.
 */
require_once get_template_directory() . '/inc/modules/customizer/css-mods.php';
/**
 * Implement the Custom Header feature.
 */
require_once get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require_once get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require_once get_template_directory() . '/inc/template-functions.php';
/**
 * Require all custom widget register file.
 */
require_once get_template_directory() . '/inc/modules/widget/recent-post-widget.php';
/**
 * Customizer additions.
 */
require_once get_template_directory() . '/inc/modules/customizer/init.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require_once get_template_directory() . '/inc/jetpack.php';
}

